CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;
COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';

CREATE FUNCTION raw_transfer_copy() RETURNS trigger
    LANGUAGE plpgsql
    AS $$ BEGIN INSERT INTO transfer(uid, account_from, name_from, amount, title, date) VALUES(NEW.uid, NEW.from_account, NEW.from_name, NEW.amount, NEW.title, NEW.date); RETURN NEW; END $$;

ALTER FUNCTION public.raw_transfer_copy() OWNER TO kasownik;

CREATE TRIGGER raw_transfer_copy_trig AFTER INSERT ON raw_transfer FOR EACH ROW WHEN ((((new.on_account)::text = 'PL48195000012006000648890002'::text) AND ((new.type)::text = 'IN'::text))) EXECUTE PROCEDURE raw_transfer_copy();
