Fetcher
=======

This is a separate process used for fetching of bank account data from IdeaBank.

Raw transfer data is fetched into `raw_transfers` table (using credentails
separate from web interface worker) and are forwarded into `transfers` with
trigger and stored procedure (check it out in `triggers.sql`)

This process has its own `config.py` (example available in `config.py.dist`).

`raw_transfers` table schema is presented when executing:

    python banking-ib.py --print-schema

gRPC proto files (`smsgw_pb2*.py`) can be rebuilt using:

    python -m grpc_tools.protoc -Iprotos --python_out=. --grpc_python_out=. protos/smsgw.proto

TODO
----

 * Cleanup logging
