#!/usr/bin/env python
import os
import click
from flask.cli import FlaskGroup

from webapp.wsgi import app

@click.group(cls=FlaskGroup, create_app=lambda i: app)
def cli():
    """This is a management script for Kasownik."""

if __name__ == '__main__':
    cli()
